commit: 3b5f45310369b7a2d72ebbaed31a7230819c6d40
Author: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 15 23:14:22 2014 +0000
Commit: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Tue Jul 15 23:14:22 2014 +0000
URL:
http://git.overlays.gentoo.org/gitweb/?p=proj/releng.git;a=commit;h=3b5f4531
tools-uclibc: only build vanilla ppc without UCLIBC_BUILD_SSP
---
.../savedconfig/sys-libs/uclibc | 6 +++---
.../savedconfig/sys-libs/uclibc | 6 +++---
tools-uclibc/run-ppc.sh | 22 ++++++++++++----------
3 files changed, 18 insertions(+), 16 deletions(-)
diff --git a/tools-uclibc/portage.ppc.hardened/savedconfig/sys-libs/uclibc
b/tools-uclibc/portage.ppc.hardened/savedconfig/sys-libs/uclibc
index e35046c..f0a76ed 100644
--- a/tools-uclibc/portage.ppc.hardened/savedconfig/sys-libs/uclibc
+++ b/tools-uclibc/portage.ppc.hardened/savedconfig/sys-libs/uclibc
@@ -1,7 +1,7 @@
#
# Automatically generated make config: don't edit
# Version: 0.9.33.2
-# Wed Jul 9 19:33:11 2014
+# Tue Jul 15 17:11:45 2014
#
# TARGET_alpha is not set
# TARGET_arm is not set
@@ -225,14 +225,14 @@ HARDWIRED_ABSPATH=y
#
# Security options
#
-# UCLIBC_BUILD_PIE is not set
+UCLIBC_BUILD_PIE=y
UCLIBC_HAS_ARC4RANDOM=y
UCLIBC_HAS_SSP=y
# UCLIBC_HAS_SSP_COMPAT is not set
# SSP_QUICK_CANARY is not set
# PROPOLICE_BLOCK_ABRT is not set
PROPOLICE_BLOCK_SEGV=y
-UCLIBC_BUILD_SSP=y
+# UCLIBC_BUILD_SSP is not set
UCLIBC_BUILD_RELRO=y
UCLIBC_BUILD_NOW=y
UCLIBC_BUILD_NOEXECSTACK=y
diff --git a/tools-uclibc/portage.ppc.vanilla/savedconfig/sys-libs/uclibc
b/tools-uclibc/portage.ppc.vanilla/savedconfig/sys-libs/uclibc
index e35046c..f0a76ed 100644
--- a/tools-uclibc/portage.ppc.vanilla/savedconfig/sys-libs/uclibc
+++ b/tools-uclibc/portage.ppc.vanilla/savedconfig/sys-libs/uclibc
@@ -1,7 +1,7 @@
#
# Automatically generated make config: don't edit
# Version: 0.9.33.2
-# Wed Jul 9 19:33:11 2014
+# Tue Jul 15 17:11:45 2014
#
# TARGET_alpha is not set
# TARGET_arm is not set
@@ -225,14 +225,14 @@ HARDWIRED_ABSPATH=y
#
# Security options
#
-# UCLIBC_BUILD_PIE is not set
+UCLIBC_BUILD_PIE=y
UCLIBC_HAS_ARC4RANDOM=y
UCLIBC_HAS_SSP=y
# UCLIBC_HAS_SSP_COMPAT is not set
# SSP_QUICK_CANARY is not set
# PROPOLICE_BLOCK_ABRT is not set
PROPOLICE_BLOCK_SEGV=y
-UCLIBC_BUILD_SSP=y
+# UCLIBC_BUILD_SSP is not set
UCLIBC_BUILD_RELRO=y
UCLIBC_BUILD_NOW=y
UCLIBC_BUILD_NOEXECSTACK=y
diff --git a/tools-uclibc/run-ppc.sh b/tools-uclibc/run-ppc.sh
old mode 100644
new mode 100755
index e001962..3fe44f4
--- a/tools-uclibc/run-ppc.sh
+++ b/tools-uclibc/run-ppc.sh
@@ -15,7 +15,7 @@ prepare_confs() {
[[ $p == 0 ]] && p=3
local pstage=stage${p}
- local tarch="${arch}"
+ local parch="${arch}"
[[ "${arch}" == "ppc" ]] && tarch="powerpc"
cat stage-all.conf.template | \
@@ -93,16 +93,18 @@ main() {
done
done
-# for arch in ppc; do
+ for arch in ppc; do
+# hardened is currently broken
# for flavor in hardened vanilla; do
-# do_stages ${arch} ${flavor}
-# ret=$?
-# if [[ $? == 1 ]]; then
-# echo "FAILURE at ${arch} ${flavor} " | tee zzz.log
-# return 1
-# fi
-# done
-# done
+ for flavor in vanilla; do
+ do_stages ${arch} ${flavor}
+ ret=$?
+ if [[ $? == 1 ]]; then
+ echo "FAILURE at ${arch} ${flavor} " | tee zzz.log
+ return 1
+ fi
+ done
+ done
}
main $1 &